Summary: 	A voice compression format (codec)
Name: 		speex
Version: 	1.0.4
Release: 4
License: 	BSD
Group: 		System Environment/Libraries
URL: 		http://www.speex.org/
Source0: 	http://www.speex.org/download/%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libogg-devel

Patch0:	speex-underquoted.patch
Patch1:	speex-1.0.4-pkgconfig.patch

%description
Speex is a patent-free compression format designed especially for
speech. It is specialized for voice communications at low bit-rates in
the 2-45 kbps range. Possible applications include Voice over IP
(VoIP), Internet audio streaming, audio books, and archiving of speech
data (e.g. voice mail).

%package devel
Summary: 	Development package for %{name}
Group: 		Development/Libraries
Requires: 	%{name} = %{version}-%{release}

%description devel
Speex is a patent-free compression format designed especially for
speech. This package contains development files for %{name}

%prep
%setup -q
%patch0 -p1 -b .underquoted
%patch1 -p1 -b .pkgconfig

%build
%configure --enable-static --with-ogg-libraries=%{_libdir}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -f $RPM_BUILD_ROOT%{_docdir}/speex-*/manual.pdf
chmod a-x README

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING TODO ChangeLog README NEWS doc/manual.pdf
%{_bindir}/speexenc
%{_bindir}/speexdec
%{_mandir}/man1/speexenc.1*
%{_mandir}/man1/speexdec.1*
%{_libdir}/libspeex.so.*

%files devel
%defattr(-,root,root,-)
%exclude %{_libdir}/libspeex.la
%{_includedir}/speex/
%{_includedir}/speex.h
%{_includedir}/speex_bits.h
%{_includedir}/speex_callbacks.h
%{_includedir}/speex_header.h
%{_includedir}/speex_stereo.h
%{_datadir}/aclocal/speex.m4
%{_libdir}/pkgconfig/speex.pc
%{_libdir}/libspeex.so
%{_libdir}/libspeex.a

%changelog
* Mon Oct 18 2004 Miloslav Trmac <mitr@redhat.com> - 1.0.4-4
- Fix version in pkg-config file (#135987, patch by Michael Schwendt)

* Wed Aug 11 2004 Tim Waugh <twaugh@redhat.com> 1.0.4-3
- Fixed underquoted m4 definition.

* Fri Jul 30 2004 Colin Walters <walters@redhat.com> 1.0.4-2
- Include /usr/include/speex directory, thanks
  Nils Philippsen.

* Thu Jul 29 2004 Colin Walters <walters@redhat.com>
- Update to 1.0.4.
- Include /usr/include/speex
- Include speex.pc

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Dec 12 2003 Bill Nottingham <notting@redhat.com> 1.0.3-1
- build 1.0.3, adapt specfile from linva.org

* Thu Nov 20 2003 Dams <anvil[AT]livna.org> 0:1.0.3-0.fdr.1
- Updated to 1.0.3

* Tue Sep 30 2003 Dams <anvil[AT]livna.org> 0:1.0.2-0.fdr.1
- Updated to 1.0.2

* Mon Sep 15 2003 Dams <anvil[AT]livna.org> 0:1.0.1-0.fdr.3
- README doc file is no more +x

* Tue Sep  9 2003 Dams <anvil[AT]livna.org> 0:1.0.1-0.fdr.2
- Added missing scriplets (ldconfig)

* Sat Aug 16 2003 Dams <anvil[AT]livna.org> 
- Initial build.
